DutchAnalyzer (Lucene 10.5.0 common API)
Description: declaration: package: org.apache.lucene.analysis.nl, class: DutchAnalyzer

Package org.apache.lucene.analysis.nl

# Class DutchAnalyzer

java.lang.Object
org.apache.lucene.analysis.Analyzer
org.apache.lucene.analysis.nl.DutchAnalyzer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class DutchAnalyzer extends Analyzer
`Analyzer` for Dutch language.

Supports an external list of stopwords (words that will not be indexed at all), an external list of exclusions (word that will not be stemmed, but indexed) and an external list of word-stem pairs that overrule the algorithm (dictionary stemming). A default set of stopwords is used unless an alternative list is specified, but the exclusion list is empty by default.

Since:
  3.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

  `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_STOPWORD_FILE`
  File containing default Dutch stopwords.

  ### Fields inherited from class org.apache.lucene.analysis.Analyzer

  `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DutchAnalyzer()`
  Builds an analyzer with the default stop words (`getDefaultStopSet()`) and a few default entries for the stem exclusion table.
  `DutchAnalyzer(CharArraySet stopwords)`
  `DutchAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionTable)`
  `DutchAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionTable, CharArrayMap<String> stemOverrideDict)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Analyzer.TokenStreamComponents`
  `createComponents(String fieldName)`
  Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.
  `static CharArraySet`
  `getDefaultStopSet()`
  Returns an unmodifiable instance of the default stop-words set.
  `protected TokenStream`
  `normalize(String fieldName, TokenStream in)`

  ### Methods inherited from class org.apache.lucene.analysis.Analyzer

  `attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, initReader, initReaderForNormalization, normalize, tokenStream, tokenStream`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE
    File containing default Dutch stopwords.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DutchAnalyzer

    public DutchAnalyzer()
    Builds an analyzer with the default stop words (`getDefaultStopSet()`) and a few default entries for the stem exclusion table.

  - ### DutchAnalyzer

    public DutchAnalyzer(CharArraySet stopwords)

  - ### DutchAnalyzer

    public DutchAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionTable)

  - ### DutchAnalyzer

    public DutchAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionTable, CharArrayMap<String> stemOverrideDict)

- ## Method Details

  - ### getDefaultStopSet

    public static CharArraySet getDefaultStopSet()
    Returns an unmodifiable instance of the default stop-words set.
    Returns:
      an unmodifiable instance of the default stop-words set.

  - ### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName)
    Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.
    Specified by:
      `createComponents` in class `Analyzer`
    Returns:
      A `TokenStream` built from a `StandardTokenizer` filtered with `LowerCaseFilter`, `StopFilter`, `SetKeywordMarkerFilter` if a stem exclusion set is provided, `StemmerOverrideFilter`, and `SnowballFilter`

  - ### normalize

    protected TokenStream normalize(String fieldName, TokenStream in)
    Overrides:
      `normalize` in class `Analyzer`